from pptx import Presentation

prs = Presentation('test.pptx')


for slide in prs.slides:
    for shape in slide.shapes:
        with open('mypic.jpg', 'wb') as f:
            f.write(shape.image.blob)

for page, slide in enumerate(prs.slides):
    textNote = slide.notes_slide.notes_text_frame.text
    print(textNote)